import { createApp } from 'vue';
import App from '/@/App.vue';
import { directive } from '/@/directive/index';
import { i18n } from '/@/i18n/index';
import router from '/@/router/index';
import pinia from '/@/stores/index';
import other from '/@/utils/other';
import '/@/extend';
import * as ElementPlusIconsVue from '@element-plus/icons-vue';
import ElementPlus from 'element-plus';
import { initBackEndControlRoutes } from './router/backEnd';
import '/@/theme/index.scss';
import '@amap/amap-jsapi-types';
import { autoLogin, getAllData ,getGlobalPosition,pingLogin} from './stores/chatRoom';
import { setTheme } from '/@/utils/theme';
import { accessSessionKey } from './utils/request';
import { Local } from './utils/storage';
import { getSystemGlobalConfig, checkWxOperate, ParentRegister } from './stores/global';

// setTheme();
const app = createApp(App);
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
	app.component(key, component);
}
directive(app);
other.elSvg(app);


(async function () {
	await initBackEndControlRoutes();
	const session = Local.get(accessSessionKey);
	if (!session) {
		await autoLogin();
	}
	app.use(pinia).use(router).use(ElementPlus).use(i18n).mount('#app');
})();

// 获取全局数据
getAllData();
pingLogin();

getGlobalPosition();
getSystemGlobalConfig();
checkWxOperate();
ParentRegister.setRegisterFunc();

